<?php
namespace Mirasvit\SeoMarkup\Block\Rs\Organization;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Rs\Organization
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Rs\Organization implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoMarkup\Model\Config\OrganizationConfig $organizationConfig, \Magento\Framework\Locale\ListsInterface $localeLists, \Magento\Directory\Model\RegionFactory $regionFactory, \Magento\Theme\Block\Html\Header\Logo $logo, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($organizationConfig, $localeLists, $regionFactory, $logo, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
